Subject: [Cfrg] new I-D for authenticated encryption

From: "Dan Harkins" <[email-masked]>
Date: Fri, 29 Jun 2007 14:11:36 -0700 (PDT)

Hi,

  I've submitted a new I-D (-00 version) that describes a new cipher
mode for authenticated encryption, SIV. This is the mode from
"Deterministic Authenticated Encryption" by Rogaway and Shrimpton.
It provides some resilience to nonce misuse/reuse when used as a
traditional nonce-based AE scheme and is also a nice robust alternative
to RFC3394 (AES Key Wrap) for nonce-less deterministic AE.

  It's probably not in the I-D directory yet but a copy can be found at:

       http://www.lounge.org/draft-harkins-siv-aes-00.txt

  I would appreciate any comments on it.

  thanks,

  Dan.

_______________________________________________
Cfrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/cfrg